Ruby
Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
opts = {
limit: 10,
offset: 10,
channel_ids: ["550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"]
}
Helo::Webhooks.list(opts)import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.webhooks.list({
limit: 10,
offset: 10,
channelIds: ["550e8400-e29b-41d4-a716-446655440000"],
});package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.WebhooksListParams{
Limit: 10,
Offset: 10,
ChannelIds: []string{"550e8400-e29b-41d4-a716-446655440000"},
}
result, err := client.Webhooks.List(ctx, params)
if err != nil {
log.Fatal(err)
}
_ = result
}var webhooks = await helo.WebhookEndpoints.List(limit: 20);import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
webhooks = client.webhook_endpoints.list(limit=20){
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"payloadSigningKey": "<string>",
"enabled": true,
"additionalHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"events": [],
"lastResponse": {
"statusCode": 123,
"error": "<string>",
"at": "2023-11-07T05:31:56Z"
}
}
],
"totalCount": 123
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Webhooks
List all webhooks
Retrieves all webhooks configured for the account.
GET
/
webhooks
Ruby
Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
opts = {
limit: 10,
offset: 10,
channel_ids: ["550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"]
}
Helo::Webhooks.list(opts)import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.webhooks.list({
limit: 10,
offset: 10,
channelIds: ["550e8400-e29b-41d4-a716-446655440000"],
});package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.WebhooksListParams{
Limit: 10,
Offset: 10,
ChannelIds: []string{"550e8400-e29b-41d4-a716-446655440000"},
}
result, err := client.Webhooks.List(ctx, params)
if err != nil {
log.Fatal(err)
}
_ = result
}var webhooks = await helo.WebhookEndpoints.List(limit: 20);import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
webhooks = client.webhook_endpoints.list(limit=20){
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"payloadSigningKey": "<string>",
"enabled": true,
"additionalHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"events": [],
"lastResponse": {
"statusCode": 123,
"error": "<string>",
"at": "2023-11-07T05:31:56Z"
}
}
],
"totalCount": 123
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of results to return.
Number of results to skip for pagination.
Filter webhooks belonging to specific channels.
⌘I